<?php
namespace nur\sery\wip\schema\types;

use nur\sery\wip\schema\input\Input;

abstract class _tsimple implements IType {
  function isAvailable(Input $input, $destKey): bool {
    return $input->isAvailable($destKey) && $input->get($destKey) !== false;
  }

  function isNull($value): bool {
    return $value === null || (is_string($value) && trim($value) === "");
  }
}
